ctan(3)

NAME
ctan, ctanf, ctanl - complex tangent function

LIBRARY
Math library (libm, -lm)

SYNOPSIS
#include <complex.h>

double complex ctan(double complex z);
float complex ctanf(float complex z);
long double complex ctanl(long double complex z);

DESCRIPTION
These functions calculate the complex tangent of z.

The complex tangent function is defined as:

    ctan(z) = csin(z) / ccos(z)

VERSIONS
These functions were added in glibc 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C99, POSIX.1-2001, POSIX.1-2008.

SEE ALSO
cabs(3), catan(3), ccos(3), csin(3), complex(7)